Announcement Announcement Module
Collapse
No announcement yet.
Bundloe - Supress warning for version Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Bundloe - Supress warning for version

    When i use bundlor as part of my build.xml logic there are lots of warnings saying imported and exported packages do no have version numbers.

    How can i supress this warnings ?

    I went through reference guide , but did not see such option.


    [I did see failOnwarning option but its intended for different purpose]

  • #2
    You add a Import-Template that add a version to packages with warnings.
    You can't disable warnings otherwise.

    http://static.springsource.org/s2-bu...l/ch05s02.html

    Comment


    • #3
      I do not want to add any version to imports .This is because i want the latest version to be wired based on what is in the classpath(repository/usr)

      Comment


      • #4
        Not sure if that will work for you, but try adding

        Code:
        Import-Template: *;version="0"
        Have not tested that, but it "should" resolve to the highest version and get rid of the warnings.

        Comment


        • #5
          Got it working with commenting the warnings sysouts in this class

          com.springsource.bundlor.ant.Bundlor

          Comment

          Working...
          X